org.apache.felix.ipojo.extender.internal

## Class Extender

- java.lang.Object
- - org.apache.felix.ipojo.extender.internal.Extender

All Implemented Interfaces:
  org.osgi.framework.BundleActivator

    public class Extender
    extends java.lang.Object
    implements org.osgi.framework.BundleActivator

iPOJO main activator.

### Field Summary

Fields
`static java.lang.String` `BOOTSTRAP_QUEUE_DEBUG_PROPERTY`

### Constructor Summary

Constructors
Constructor and Description
`Extender()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static org.osgi.framework.BundleContext` `getIPOJOBundleContext()` Gets iPOJO bundle context.
`void` `start(org.osgi.framework.BundleContext context)` The iPOJO bundle is starting.
`void` `stop(org.osgi.framework.BundleContext context)` The iPOJO bundle is stopping.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### BOOTSTRAP_QUEUE_DEBUG_PROPERTY

    public static final java.lang.String BOOTSTRAP_QUEUE_DEBUG_PROPERTY

See Also:
  Constant Field Values

### Constructor Detail

#### Extender

    public Extender()

### Method Detail

#### start

    public void start(org.osgi.framework.BundleContext context)
               throws java.lang.Exception

The iPOJO bundle is starting. This method configures the iPOJO system (internal dispatcher and bundle processing). Then it initiates the bundle processing.

To optimize the processing, we process the iPOJO bundle first.

Specified by:
  `start` in interface `org.osgi.framework.BundleActivator`
Parameters:
  `context` - the iPOJO's bundle bundle context
Throws:
  `java.lang.Exception` - something terrible happen during startup

#### stop

    public void stop(org.osgi.framework.BundleContext context)
              throws java.lang.Exception

The iPOJO bundle is stopping.

Specified by:
  `stop` in interface `org.osgi.framework.BundleActivator`
Parameters:
  `context` - the bundle context
Throws:
  `java.lang.Exception` - something terrible happen

#### getIPOJOBundleContext

    public static org.osgi.framework.BundleContext getIPOJOBundleContext()

Gets iPOJO bundle context.

Returns:
  the iPOJO Bundle Context